<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1InstanceManager.html">InstanceManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::InstanceManager Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga395a8ce5c926625f1902d7f645d041fc">_addDirtyBatch</a>(InstanceBatch *dirtyBatch)</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga5a53a7786df59317f4b208b55bd3ec41">_updateDirtyBatches</a>(void)</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga1eefc99f2c61f4ef8bcbd5b2d0b08a3e">applySettingToBatches</a>(BatchSettingId id, bool value, const InstanceBatchVec &amp;container)</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga7832eb9e2627f71382fefc7293482508">BatchSettingId</a> enum name</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#gafb62bc67a8ccd5ce513811585cecffd9">BatchSettingsMap</a> typedef</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#gada93fa738779aa7378966715a11e180c">buildNewBatch</a>(const String &amp;materialName, bool firstTime)</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#gga7832eb9e2627f71382fefc7293482508a4fa34122dba5df1604cd9cd44ee1c519">CAST_SHADOWS</a> enum value</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga78d1331b24a26e89d49b50c0293bdab2">cleanupEmptyBatches</a>(void)</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga5767c95dac43bbc3c80966c362e32b73">createInstancedEntity</a>(const String &amp;materialName)</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga6820aa9b430772b82c3d3622a3ba9856">defragmentBatches</a>(bool optimizeCull, vector&lt; InstancedEntity * &gt;::type &amp;entities, InstanceBatchVec &amp;fragmentedBatches)</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#gad95874d5f995a6b7b66707cb260a0a19">defragmentBatches</a>(bool optimizeCulling)</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#gacba919ff8e5a0cd355c232f716b613b3">getFreeBatch</a>(const String &amp;materialName)</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga5f829261ff3c96310308825bfc5ebe0b">getInstanceBatchIterator</a>(const String &amp;materialName) const </td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga865be521d280fc4daed5bbf0484ab65f">getInstanceBatchMapIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga2623303420a636cfc8b06784da9077de">getMaxOrBestNumInstancesPerBatch</a>(String materialName, size_t suggestedSize, uint16 flags)</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#gaa0ac29a317cd26fd5b83b18598b081b4">getName</a>() const </td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#gaf6062a475ef8cf4e1366a9d7f5301417">getSetting</a>(BatchSettingId id, const String &amp;materialName) const </td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga5fe7226ee5363b1b369d684d15af519f">hasSettings</a>(const String &amp;materialName) const </td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#gga98fb2a9ada779b56d48f74040e96a622a20f1ebda9178d5f5f4ebe613f3432eac">HWInstancingBasic</a> enum value</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#gga98fb2a9ada779b56d48f74040e96a622ac1ad45db6c7bc954c0374c37c8ed1b0d">HWInstancingVTF</a> enum value</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga81a850f3da3dc22baa6d8fbd68a1723f">InstanceBatchIterator</a> typedef</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga2ee4131bd90f78a8f66acb0649e830ee">InstanceBatchMap</a> typedef</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga449864e9fe068c83c3955dfcc112a2d1">InstanceBatchMapIterator</a> typedef</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga38c19279985051c8c65d6df62bfb8f86">InstanceBatchVec</a> typedef</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#gab31a5819d546d97995e9c5fc0f6dbe76">InstanceManager</a>(const String &amp;customName, SceneManager *sceneManager, const String &amp;meshName, const String &amp;groupName, InstancingTechnique instancingTechnique, uint16 instancingFlags, size_t instancesPerBatch, unsigned short subMeshIdx, bool useBoneMatrixLookup=false)</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga98fb2a9ada779b56d48f74040e96a622">InstancingTechnique</a> enum name</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#gga98fb2a9ada779b56d48f74040e96a622a3efbc531e529142ddfd5c7272a373ece">InstancingTechniquesCount</a> enum value</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga86b59263bf4bac17d33c4365c65c9e37">mBatchSettings</a></td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga40e25e0d974bc9cb8fdafef707618d57">mDirtyBatches</a></td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga7d4ce97e2f3705998d7722f1c92a766e">mIdCount</a></td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga9d5879cee81bbc67cdfaf64524bd2169">mInstanceBatches</a></td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga3b584885553efad689ce7f0b006bb6fe">mInstancesPerBatch</a></td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga1d827707f203bd601ecd178717cd9f95">mInstancingFlags</a></td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#gad52ab17fc279b813acca218429a8b9d5">mInstancingTechnique</a></td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga13f71a588460dab9f41c300311af87a6">mMaxLookupTableInstances</a></td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga2da3cbab89cc6405d656acc508c3f7c8">mMeshReference</a></td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga01ab189e423504ec998421dff23f9644">mName</a></td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga31cedf671001b7363491c9facbf95745">mSceneManager</a></td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga05e37e984cb6aad0278e5201080c6584">mSharedRenderOperation</a></td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#gac2afda10e925bbfe4edd50cf7352b66e">mSubMeshIdx</a></td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#gga7832eb9e2627f71382fefc7293482508a93252cb20077bbc127c02d96f5d696f0">NUM_SETTINGS</a> enum value</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#gaadfa0ab4a3974108898a518a1f789961">setBatchesAsStaticAndUpdate</a>(bool bStatic)</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga20c5c86323fe3d15f2531e88d8299b17">setInstancesPerBatch</a>(size_t instancesPerBatch)</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga784eee0c3b16d9a661c39ad24459b0cb">setMaxLookupTableInstances</a>(size_t maxLookupTableInstances)</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga33efe914b96f2b2f3367cca266a0a88b">setSetting</a>(BatchSettingId id, bool value, const String &amp;materialName=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#gga98fb2a9ada779b56d48f74040e96a622adfd14a6d905e8f639010dceb63fd6a99">ShaderBased</a> enum value</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#gga7832eb9e2627f71382fefc7293482508a5aa5845eaa01e5c54fc92fc74b2f4176">SHOW_BOUNDINGBOX</a> enum value</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#gga98fb2a9ada779b56d48f74040e96a622aa936e137d1695cec1b763a270dc73a3e">TextureVTF</a> enum value</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__Scene.html#ga389862a9932c13829fa881e82f3593c3">~InstanceManager</a>()</td><td><a class="el" href="classOgre_1_1InstanceManager.html">Ogre::InstanceManager</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:58
</p>
</body>
</html>
